﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


public partial class GestaoArtigos : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Se a pagina estiver a ser carregada de inicio
        if (!IsPostBack)
        {
            var listaUtilizadores = PWTutorial.GestaoUtilizadores.ObterUtilizadores();

            foreach (var utilizador in listaUtilizadores)
            {
                ddlAutor.Items.Add(utilizador.Nome);
            }
        }
    }

    protected void btNovo_Click(object sender, EventArgs e)
    {
        try
        {
            PWTutorial.GestaoArtigos.NovoArtigo(txtTitulo.Text, txtTexto.Text, txtObservacoes.Text, ddlAutor.Text);
            Response.Redirect("Default.aspx");
        }
        catch (Exception exception)
        {
            lblAvisos.Text = exception.Message;
        }
    }
    protected void btEditar_Click(object sender, EventArgs e)
    {
        try
        {
            PWTutorial.GestaoArtigos.EditarArtigo(txtTitulo.Text, txtTexto.Text, txtObservacoes.Text, ddlAutor.Text);
            Response.Redirect("Default.aspx");
        }
        catch (Exception exception)
        {
            lblAvisos.Text = exception.Message;
        }
    }
    protected void btApagar_Click(object sender, EventArgs e)
    {
        try
        {
            PWTutorial.GestaoArtigos.RemoverArtigo(txtTitulo.Text);
            Response.Redirect("Default.aspx");
        }
        catch (Exception exception)
        {
            lblAvisos.Text = exception.Message;
        }
    }
}

